org.apache.ivy.osgi.core

## Class ManifestParser

- java.lang.Object
- - org.apache.ivy.osgi.core.ManifestParser

    public class ManifestParser
    extends java.lang.Object

Provides an OSGi manifest parser.

### Constructor Summary

Constructors
Constructor and Description
`ManifestParser()`

### Method Summary

Methods
`static java.lang.String` `formatLines(java.lang.String manifest)` Ensure that the lines are not longer than 72 characters, so it can be parsed by the `Manifest` class
`static BundleInfo` `parseJarManifest(java.io.InputStream jarStream)`
`static BundleInfo` `parseManifest(java.io.File manifestFile)`
`static BundleInfo` `parseManifest(java.io.InputStream manifestStream)`
`static BundleInfo` `parseManifest(java.util.jar.Manifest manifest)`
`static BundleInfo` `parseManifest(java.lang.String manifest)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ManifestParser

    public ManifestParser()

### Method Detail

#### parseJarManifest

    public static BundleInfo parseJarManifest(java.io.InputStream jarStream)
                                       throws java.io.IOException,
                                              java.text.ParseException

Throws:
  `java.io.IOException`
  `java.text.ParseException`

#### parseManifest

    public static BundleInfo parseManifest(java.io.File manifestFile)
                                    throws java.io.IOException,
                                           java.text.ParseException

Throws:
  `java.io.IOException`
  `java.text.ParseException`

#### parseManifest

    public static BundleInfo parseManifest(java.lang.String manifest)
                                    throws java.io.IOException,
                                           java.text.ParseException

Throws:
  `java.io.IOException`
  `java.text.ParseException`

#### parseManifest

    public static BundleInfo parseManifest(java.io.InputStream manifestStream)
                                    throws java.io.IOException,
                                           java.text.ParseException

Throws:
  `java.io.IOException`
  `java.text.ParseException`

#### parseManifest

    public static BundleInfo parseManifest(java.util.jar.Manifest manifest)
                                    throws java.text.ParseException

Throws:
  `java.text.ParseException`

#### formatLines

    public static java.lang.String formatLines(java.lang.String manifest)

Ensure that the lines are not longer than 72 characters, so it can be parsed by the `Manifest` class

Parameters:
  `manifest` -
Returns: